=== debian/changelog ===
belcard (5.3.105-3) unstable; urgency=medium

  * Team upload.
  * Add Breaks+Replaces on libbelcard-data for vcard_grammar. (Closes: #1100143)

 -- Bastian Germann <bage@debian.org>  Mon, 17 Mar 2025 16:24:06 +0100

belcard (5.3.105-2) unstable; urgency=medium

  * Team upload.
  * Drop shlibs file. (Closes: #1099107)

 -- Bastian Germann <bage@debian.org>  Fri, 28 Feb 2025 16:24:21 +0100

belcard (5.3.105-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.3.105. (Closes: #1094032)

 -- Bastian Germann <bage@debian.org>  Thu, 27 Feb 2025 17:21:16 +0100
