=== debian/control ===
Source: belcard
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Bernhard Schmidt <berni@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libbctoolbox-dev (>= 5.2.98~),
               libbelr-dev (>= 5.2.98~),
               libudev-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Section: libs
Homepage: https://gitlab.linphone.org/BC/public/belcard/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/belcard.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/belcard
Description: vCard manipulation library for C++

Package: libbelcard-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends: libbelcard1 (= ${binary:Version}),
         libbctoolbox-dev (>= 5.2.98~),
         libbelr-dev (>= 5.2.98~),
         ${misc:Depends}
Description: VCard standard format manipulation library (development headers)
 Belcard is a C++ library to manipulate VCard standard format.
 .
 The package is probably not useful outside the Belledonne Communications suite
 of libraries and programs.
 .
 This package contains the development headers.

Package: libbelcard1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         belcard-data,
Breaks: libbelcard1 (<< 5.2.98), liblinphone11
Replaces: libbelcard1 (<< 5.2.98)
Description: VCard standard format manipulation library
 Belcard is a C++ library to manipulate VCard standard format.
 .
 The package is probably not useful outside the Belledonne Communications suite
 of libraries and programs.
 .
 This package contains the shared library.

Package: belcard-data
Architecture: all
Breaks: libbelcard1 (<< 5.2.98)
Replaces: libbelcard1 (<< 5.2.98)
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: VCard standard format manipulation library
 Belcard is a C++ library to manipulate VCard standard format.
 .
 The package is probably not useful outside the Belledonne Communications suite
 of libraries and programs.
 .
 This package contains data files.
