=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=cmake

# Upstream unconditionally sets CMAKE_INSTALL_RPATH. Make it ineffective by
# setting CMAKE_SKIP_RPATH
override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_SKIP_RPATH=ON -DBUILD_SHARED_LIBS=ON -DENABLE_UNIT_TESTS=no -DENABLE_TOOLS=no -DDEB_VERSION_UPSTREAM=$(DEB_VERSION_UPSTREAM)

execute_after_dh_auto_install:
# The version numbers specified here rely on all linphone-stack
# libraries being versioned in lock-step which is apparently their
# approach now.
	echo 'Requires.private: bctoolbox >= $(DEB_VERSION_UPSTREAM), belr >= $(DEB_VERSION_UPSTREAM)' \
		>> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/belcard.pc

# For fallback BC sometimes offers autoconf build systems.  As we
# don't use it we don't want it updated, otherwise dpkg-source nags.
override_dh_autotools_update_config:
override_dh_autoreconf:
